<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Page Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-archives-page-layout]', array(
			'default'           => ofiz_get_option( 'portfolio-archives-page-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Radio_Image(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-archives-page-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Layout', 'ofiz'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'ofiz_shop_page_layout_options', array(
					'content-full-width'  => array( 'label' => esc_html__( 'Without Sidebar', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/without-sidebar.png' ),
					'with-left-sidebar' => array( 'label' => esc_html__( 'Left Sidebar', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/left-sidebar.png' ),
					'with-right-sidebar' => array( 'label' => esc_html__( 'Right Sidebar', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/right-sidebar.png' ),
				) )
			)
		)
	);

/**
* Option : Show Standard Sidebar
*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-archives-show-standard-sidebar]', array(
			'default'           => ofiz_get_option( 'portfolio-archives-show-standard-sidebar' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-archives-show-standard-sidebar]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Sidebar', 'ofiz'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				),
				'dependency' => array( 'portfolio-archives-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
			)
		)
	);


/**
 * Option : Product Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-archives-post-layout]', array(
			'default'           => ofiz_get_option( 'portfolio-archives-post-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Radio_Image(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-archives-post-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Post Layout', 'ofiz'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'ofiz_portfolio_archives_post_layout_options', array(
					'dtportfolio-one-column'  => array( 'label' => esc_html__( 'One Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/portfolio/one-column.png' ),
					'dtportfolio-one-half-column' => array( 'label' => esc_html__( 'One Half Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/portfolio/one-half-column.png' ),
					'dtportfolio-one-third-column' => array( 'label' => esc_html__( 'One Third Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/portfolio/one-third-column.png' ),
					'dtportfolio-one-fourth-column' => array( 'label' => esc_html__( 'One Fourth Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/portfolio/one-fourth-column.png' ),
				) )
			)
		)
	);

/**
 * Option : Hover Style
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-hover-style]', array(
			'default'           => ofiz_get_option( 'portfolio-hover-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-hover-style]', array (
				'type'     => 'select',
				'label'    => esc_html__( 'Hover Style', 'ofiz'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'ofiz_portfolio_hover_styles', array (
					''                    => esc_html__('Default','ofiz'), 
					'modern-title'        => esc_html__('Modern Title','ofiz'), 
					'title-icons-overlay' => esc_html__('Title & Icons Overlay','ofiz'), 
					'title-overlay'       => esc_html__('Title Overlay','ofiz'),
					'icons-only'          => esc_html__('Icons Only','ofiz'), 
					'classic'             => esc_html__('Classic','ofiz'), 
					'minimal-icons'       => esc_html__('Minimal Icons','ofiz'),
					'presentation'        => esc_html__('Presentation','ofiz'), 
					'girly'               => esc_html__('Girly','ofiz'), 
					'art'                 => esc_html__('Art','ofiz'), 
					'extended'            => esc_html__('Extended','ofiz'), 
					'boxed'               => esc_html__('Boxed','ofiz'), 
					'centered-box'        => esc_html__('Centered Box','ofiz'),
					'with-gallery-thumb'  => esc_html__('With Gallery Thumb','ofiz'), 
					'with-gallery-list'   => esc_html__('With Gallery List','ofiz'), 
					'grayscale'           => esc_html__('Grayscale','ofiz'), 
					'highlighter'         => esc_html__('Highlighter','ofiz'), 
					'with-details'        => esc_html__('With Details','ofiz'), 
					'bottom-border'       => esc_html__('Bottom Border','ofiz'),
					'with-intro'          => esc_html__('With Intro','ofiz')
				) )
			)
		)
	);

/**
 * Option : Cursor Hover Style
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-cursor-hover-style]', array(
			'default'           => ofiz_get_option( 'portfolio-cursor-hover-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-cursor-hover-style]', array (
				'type'     => 'select',
				'label'    => esc_html__( 'Cursor Hover Style', 'ofiz'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'ofiz_portfolio_cursor_hover_styles', array (
					''                    => esc_html__('Default', 'ofiz'), 
					'cursor-hover-style1' => esc_html__('Style 1', 'ofiz'), 
					'cursor-hover-style2' => esc_html__('Style 2', 'ofiz') ,
					'cursor-hover-style3' => esc_html__('Style 3', 'ofiz'),
					'cursor-hover-style4' => esc_html__('Style 4', 'ofiz'),
					'cursor-hover-style5' => esc_html__('Style 5', 'ofiz'),
					'cursor-hover-style6' => esc_html__('Style 6', 'ofiz'), 
				) )
			)
		)
	);

/**
 * Option : Allow Grid Space
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-grid-space]', array(
			'default'           => ofiz_get_option( 'portfolio-grid-space' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-grid-space]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Allow Grid Space', 'ofiz'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Allow Full Width
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-allow-full-width]', array(
			'default'           => ofiz_get_option( 'portfolio-allow-full-width' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-allow-full-width]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Allow Full Width', 'ofiz'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Disable Individual Portfolio Item Options
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[portfolio-disable-item-options]', array(
			'default'           => ofiz_get_option( 'portfolio-disable-item-options' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[portfolio-disable-item-options]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Disable Individual Portfolio Item Options', 'ofiz'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);