<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Breadcrumb Show
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[show-breadcrumb]', array(
			'default'           => ofiz_get_option( 'show-breadcrumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[show-breadcrumb]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Breadcrumb', 'ofiz'),
				'section' => 'site-breadcrumb-container-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Breadcrumb Style
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[breadcrumb-style]', array(
			'default'           => ofiz_get_option( 'breadcrumb-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		OFIZ_THEME_SETTINGS . '[breadcrumb-style]', array(
			'type'    => 'select',
			'section' => 'site-breadcrumb-container-section',
			'label'   => esc_html__( 'Style', 'ofiz' ),
			'choices' => array(
				'default'                           => esc_html__('Default', 'ofiz'),
				'aligncenter'                       => esc_html__('Align Center', 'ofiz'),
				'alignright'                        => esc_html__('Align Right', 'ofiz'),
				'breadcrumb-left'                   => esc_html__('Left Side Breadcrumb', 'ofiz'),
				'breadcrumb-right'                  => esc_html__('Right Side Breadcrumb', 'ofiz'),
				'breadcrumb-top-right-title-center' => esc_html__('Top Right Title Center', 'ofiz'),
				'breadcrumb-top-left-title-center'  => esc_html__('Top Left Title Center', 'ofiz'),
			)
		)
	);

/**
 * Option : Breadcrumb Position
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[breadcrumb-position]', array(
			'default'           => ofiz_get_option( 'breadcrumb-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		OFIZ_THEME_SETTINGS . '[breadcrumb-position]', array(
			'type'    => 'select',
			'section' => 'site-breadcrumb-container-section',
			'label'   => esc_html__( 'Position', 'ofiz' ),
			'choices' => array(
				'header-top-absolute' => esc_html__('Behind the Header','ofiz'),
				'header-top-relative' => esc_html__('Default','ofiz'),
			)
		)
	);

/**
 * Option : Breadcrumb Delimiter
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[breadcrumb-delimiter]', array(
			'default'   => ofiz_get_option( 'breadcrumb-delimiter' ),
			'type'      => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),			
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Fontawesome(
			$wp_customize, OFIZ_THEME_SETTINGS . '[breadcrumb-delimiter]', array(
				'type'    => 'dt-fontawesome',
				'section' => 'site-breadcrumb-container-section',
				'label'   => esc_html__( 'Breadcrumb Delimiter', 'ofiz'),
			)
		)
	);