<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Enable Top Hook
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[enable-top-hook]', array(
			'default'           => ofiz_get_option( 'enable-top-hook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[enable-top-hook]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Top Hook', 'ofiz'),
				'section' => 'site-top-hook-section',
				'description' => esc_html__('YES! to enable top hook.', 'ofiz'),
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Top Hook
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[top-hook]', array(
			'default'           => ofiz_get_option( 'top-hook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[top-hook]', array(
				'type'    	  => 'textarea',
				'section'     => 'site-top-hook-section',
				'label'       => esc_html__( 'Top Hook', 'ofiz' ),
				'description' => sprintf( esc_html__('Paste your top hook, Executes after the opening %s tag.', 'ofiz'), '&lt;body&gt;')
			)
		)
	);