<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Site Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[site-layout]', array(
			'default'           => ofiz_get_option( 'site-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[site-layout]', array(
				'type'    => 'select',
				'section' => 'site-layout-container-section',
				'label'   => esc_html__( 'Site Layout', 'ofiz' ),
				'choices' => array(
					'boxed' => esc_html__( 'Boxed', 'ofiz'),
					'wide'  => esc_html__( 'Wide', 'ofiz'),
				)
			)
		)
	);

/**
 * Option : Customize Boxed Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[site-boxed-layout]', array(
			'default'           => ofiz_get_option( 'site-boxed-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[site-boxed-layout]', array(
				'type'       => 'dt-switch',
				'label'      => esc_html__( 'Customize Boxed Layout?', 'ofiz'),
				'section'    => 'site-layout-container-section',
				'dependency' => array( 'site-layout', '==', 'boxed' ),
				'choices'    => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Customize Boxed Layout
 */	
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[site-bg]', array(
			'default'           =>  '',
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_background_obj' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Background(
			$wp_customize, OFIZ_THEME_SETTINGS . '[site-bg]', array(
				'type'       => 'dt-background',
				'section'    => 'site-layout-container-section',
				'dependency' => array( 'site-layout|site-boxed-layout', '==|==', 'boxed|true' ),
				'label'      => esc_html__( 'Background', 'ofiz' ),
			)
		)		
	);