<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Enable Coming Soon
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[enable-comingsoon]', array(
			'default'           => ofiz_get_option( 'enable-comingsoon' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[enable-comingsoon]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Coming Soon', 'ofiz'),
				'description' => esc_html__('YES! to check under construction page of your website.', 'ofiz'),
				'section' => 'site-comingsoon-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Template Style
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[comingsoon-style]', array(
			'default'           => ofiz_get_option( 'comingsoon-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new OFIZ_Customize_Control(
		$wp_customize, OFIZ_THEME_SETTINGS . '[comingsoon-style]', array(
			'type'    => 'select',
			'section' => 'site-comingsoon-page-section',
			'label'   => esc_html__( 'Template Style', 'ofiz' ),
			'choices' => array(
				'type1'  => esc_html__('Diamond', 'ofiz'),
				'type2'  => esc_html__('Teaser', 'ofiz'),
				'type3'  => esc_html__('Minimal', 'ofiz'),
				'type4'  => esc_html__('Counter Only', 'ofiz'),
				'type5'  => esc_html__('Belt', 'ofiz'),
				'type6'  => esc_html__('Classic', 'ofiz'),
				'type7'  => esc_html__('Boxed', 'ofiz')
			),
			'description' => esc_html__('Choose the style of coming soon template.', 'ofiz'),
		)
	));

/**
 * Option : Comingsoon Dark BG
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[uc-darkbg]', array(
			'default'           => ofiz_get_option( 'uc-darkbg' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[uc-darkbg]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Coming Soon Dark BG', 'ofiz'),
				'description' => esc_html__('YES! to use dark bg coming soon page for this site.', 'ofiz'),
				'section' => 'site-comingsoon-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Custom Page
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[comingsoon-pageid]', array(
			'default'           => ofiz_get_option( 'comingsoon-pageid' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new OFIZ_Customize_Control(
		$wp_customize, OFIZ_THEME_SETTINGS . '[comingsoon-pageid]', array(
			'type'    => 'select',
			'section' => 'site-comingsoon-page-section',
			'label'   => esc_html__( 'Custom Page', 'ofiz' ),
			'choices' => ofiz_get_customizer_pages(),
			'description' => esc_html__('Choose the page for comingsoon content.', 'ofiz'),
		)
	));

/**
 * Option : Show Launch Date
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[show-launchdate]', array(
			'default'           => ofiz_get_option( 'show-launchdate' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[show-launchdate]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Launch Date', 'ofiz'),
				'description' => esc_html__('YES! to show launch date text.', 'ofiz'),
				'section' => 'site-comingsoon-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

/**
 * Option : Launch Date
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[comingsoon-launchdate]', array(
			'default'           => ofiz_get_option( 'comingsoon-launchdate' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[comingsoon-launchdate]', array(
				'type'    	  => 'text',
				'section'     => 'site-comingsoon-page-section',
				'label'       => esc_html__( 'Launch Date', 'ofiz' ),
				'input_attrs' => array(
					'placeholder' => '10/30/2016 12:00:00',
				),
				'description' => esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'ofiz'),
			)
		)
	);

/**
 * Option : Timezone
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[comingsoon-timezone]', array(
			'default'           => ofiz_get_option( 'comingsoon-timezone' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new OFIZ_Customize_Control(
		$wp_customize, OFIZ_THEME_SETTINGS . '[comingsoon-timezone]', array(
			'type'    => 'select',
			'section' => 'site-comingsoon-page-section',
			'label'   => esc_html__( 'UTC Timezone', 'ofiz' ),
			'choices' => array(
				'-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
				'-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
				'+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'description' => esc_html__('Choose utc timezone, by default UTC:00:00', 'ofiz'),
		)
	));

/**
 * Option : Comingsoon Background
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[comingsoon_background]', array(
			'default'           =>  '',
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_background_obj' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Background(
			$wp_customize, OFIZ_THEME_SETTINGS . '[comingsoon_background]', array(
				'type'    => 'dt-background',
				'section' => 'site-comingsoon-page-section',
				'label'   => esc_html__( 'Background', 'ofiz' ),
			)
		)		
	);

/**
 * Option : Custom Styles
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[comingsoon-bg-style]', array(
			'default'           => ofiz_get_option( 'comingsoon-bg-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[comingsoon-bg-style]', array(
				'type'    	  => 'textarea',
				'section'     => 'site-comingsoon-page-section',
				'label'       => esc_html__( 'Custom Inline Styles', 'ofiz' ),
				'description' => esc_html__('Paste custom CSS styles for under construction page.', 'ofiz'),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'color:#ff00bb; text-align:left;', 'ofiz' ),
				),
			)
		)
	);