<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Global Sidebar Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[site-global-sidebar-layout]', array(
			'default'           => ofiz_get_option( 'site-global-sidebar-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

    $wp_customize->add_control( new OFIZ_Customize_Control_Radio_Image(
		$wp_customize, OFIZ_THEME_SETTINGS . '[site-global-sidebar-layout]', array(
			'type' => 'dt-radio-image',
			'label' => esc_html__( 'Global Sidebar Layout', 'ofiz'),
			'section' => 'site-global-sidebar-section',
			'choices' => apply_filters( 'ofiz_global_sidebar_layout_options', array(
				'content-full-width' => array(
					'label' => esc_html__( 'Without Sidebar', 'ofiz' ),
					'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/without-sidebar.png'
				),
				'with-left-sidebar' => array(
					'label' => esc_html__( 'Left Sidebar', 'ofiz' ),
					'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/left-sidebar.png'
				),
				'with-right-sidebar' => array(
					'label' => esc_html__( 'Right Sidebar', 'ofiz' ),
					'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/right-sidebar.png'
				),
				'with-both-sidebar' => array(
					'label' => esc_html__( 'Both Sidebar', 'ofiz' ),
					'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/both-sidebar.png'
				),
			)),
			'description' => esc_html__('Choose sidebar layout for site wide.', 'ofiz')
        )
    ));