<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

	/**
	 * Footer Title Section 
	 */
	$wp_customize->add_section( 
		new OFIZ_WP_Customize_Section(
			$wp_customize,
			'site-footer-title-section',
			array(
				'title'    => esc_html__('Title', 'ofiz'),
				'panel'    => 'site-footer-main-panel',
			)
		)
	);
	
	/**
	 * Option :Footer Title Typo
	 */
		$wp_customize->add_setting(
			OFIZ_THEME_SETTINGS . '[footer-title-typo]', array(
				'default'           =>  ofiz_get_option( 'footer-title-typo' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
			)
		);

		$wp_customize->add_control(
			new OFIZ_Customize_Control_Typography(
				$wp_customize, OFIZ_THEME_SETTINGS . '[footer-title-typo]', array(
					'type'    => 'dt-typography',
					'section' => 'site-footer-title-section',
					'label'   => esc_html__( 'Typography', 'ofiz'),
				)
			)
		);

	/**
	 * Option : Footer Title Color
	 */
		$wp_customize->add_setting(
			OFIZ_THEME_SETTINGS . '[footer-title-color]', array(
				'default'           => ofiz_get_option( 'footer-title-color' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_hex_color' ),
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize, OFIZ_THEME_SETTINGS . '[footer-title-color]', array(
					'label'   => esc_html__( 'Color', 'ofiz' ),
					'section' => 'site-footer-title-section',
				)
			)
		);