<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Sociable Share Settings
 */
$wp_customize->add_section( 
	new OFIZ_WP_Customize_Section(
		$wp_customize,
		'woocommerce-product-single-page-sociables-share-section',
		array(
			'title'    => esc_html__('Sociable Share Settings', 'ofiz'),
			'panel'    => 'woocommerce-product-single-page-section',
			'priority' => 40,
		)
	)
);
	
	/**
	* Option : Sharer Description
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-description]', array(
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-description]', array(
				'type'    => 'dt-description',
				'label'   => esc_html__( 'Note :', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'description'   => esc_html__( 'This option is applicable only for WooCommerce "Custom Template".', 'ofiz'),
			)
		)
	);

	/**
	* Option : Show Facebook Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-facebook]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-facebook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-facebook]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Facebook Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show Delicious Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-delicious]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-delicious' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-delicious]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Delicious Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show Digg Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-digg]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-digg' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-digg]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Digg Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show Stumble Upon Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-stumbleupon]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-stumbleupon' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-stumbleupon]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Stumble Upon Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show Twitter Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-twitter]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-twitter' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-twitter]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Twitter Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show Google Plus Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-googleplus]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-googleplus' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-googleplus]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Google Plus Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show LinkedIn Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-linkedin]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-linkedin' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-linkedin]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show LinkedIn Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);
	
	/**
	* Option : Show Pinterest Sharer
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-pinterest]', array(
			'default'           => ofiz_get_option( 'dt-single-product-show-sharer-pinterest' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-show-sharer-pinterest]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Pinterest Sharer', 'ofiz'),
				'section' => 'woocommerce-product-single-page-sociables-share-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);