<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Upsell Settings
 */
$wp_customize->add_section( 
	new OFIZ_WP_Customize_Section(
		$wp_customize,
		'woocommerce-product-single-page-upsell-section',
		array(
			'title'    => esc_html__('Upsell Settings', 'ofiz'),
			'panel'    => 'woocommerce-product-single-page-section',
			'priority' => 30,
		)
	)
);
	

	/**
	* Option : Show Upsell Products
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-default-show-upsell]', array(
			'default'           => ofiz_get_option( 'dt-single-product-default-show-upsell' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-default-show-upsell]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Upsell Products', 'ofiz'),
				'section' => 'woocommerce-product-single-page-upsell-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);

	/**
	 * Option : Upsell Title
	 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-title]', array(
			'default'           => ofiz_get_option( 'dt-single-product-upsell-title' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-title]', array(
			'type'       => 'text',
			'section'    => 'woocommerce-product-single-page-upsell-section',
			'label'      => esc_html__( 'Upsell Title', 'ofiz' )
		)
	);

	/**
	 * Option : Upsell Column
	 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-column]', array(
			'default'           => ofiz_get_option( 'dt-single-product-upsell-column' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Radio_Image(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-column]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Upsell Column', 'ofiz'),
				'section'  => 'woocommerce-product-single-page-upsell-section',
				'choices'  => apply_filters( 'ofiz_single_product_upsell_column_options', array(
					1  => array( 'label' => esc_html__( 'One Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-column.png' ),
					2 => array( 'label' => esc_html__( 'One Half Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-half-column.png' ),
					3 => array( 'label' => esc_html__( 'One Third Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-third-column.png' ),
					4 => array( 'label' => esc_html__( 'One Fourth Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-fourth-column.png' ),
				) )
			)
		)
	);

	/**
	* Option : Upsell Limit
	*/
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-limit]', array(
			'default'           => ofiz_get_option( 'dt-single-product-upsell-limit' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-limit]', array(
				'type'     => 'select',
				'label'    => esc_html__( 'Upsell Limit', 'ofiz'),
				'section'  => 'woocommerce-product-single-page-upsell-section',
				'choices'  => array (
					1 => esc_html__( '1', 'ofiz' ),
					2 => esc_html__( '2', 'ofiz' ),
					3 => esc_html__( '3', 'ofiz' ),
					4 => esc_html__( '4', 'ofiz' ),
					5 => esc_html__( '5', 'ofiz' ),
					6 => esc_html__( '6', 'ofiz' ),
					7 => esc_html__( '7', 'ofiz' ),
					8 => esc_html__( '8', 'ofiz' ),	
					9 => esc_html__( '9', 'ofiz' ),
					10 => esc_html__( '10', 'ofiz' ),	
				)
			)
		)
	);

	/**
	 * Option : Product Style Template
	 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-style-template]', array(
			'default'           => ofiz_get_option( 'dt-single-product-upsell-style-template' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-single-product-upsell-style-template]', array(
				'type'     => 'select',
				'label'    => esc_html__( 'Product Style Template', 'ofiz'),
				'section'  => 'woocommerce-product-single-page-upsell-section',
				'choices'  => apply_filters( 'ofiz_shop_product_templates', ofiz_customizer_shop_product_templates() )
			)
		)
	);