<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Page Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-layout]', array(
			'default'           => ofiz_get_option( 'dt-woo-tag-archive-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Radio_Image(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Layout', 'ofiz'),
				'section'  => 'woocommerce-tag-archive-section',
				'choices'  => apply_filters( 'ofiz_tag_archive_layout_options', array(
					'content-full-width'  => array( 'label' => esc_html__( 'Without Sidebar', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/without-sidebar.png' ),
					'with-left-sidebar' => array( 'label' => esc_html__( 'Left Sidebar', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/left-sidebar.png' ),
					'with-right-sidebar' => array( 'label' => esc_html__( 'Right Sidebar', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/right-sidebar.png' ),
				) )
			)
		)
	);

/**
 * Option : Show Standard Sidebar
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-show-standard-sidebar]', array(
			'default'           => ofiz_get_option( 'dt-woo-tag-archive-show-standard-sidebar' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-show-standard-sidebar]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Sidebar', 'ofiz'),
				'section' => 'woocommerce-tag-archive-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				),
				'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
			)
		)
	);

/**
 * Option : Widget Areas
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-widgetareas]', array(
			'default'           => ofiz_get_option( 'dt-woo-tag-archive-widgetareas' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-widgetareas]', array(
			'type'     => 'select',
			'label'    => esc_html__( 'Choose Custom Widget Area', 'ofiz'),
			'section'  => 'woocommerce-tag-archive-section',
			'choices'  => apply_filters( 'ofiz_tag_archive_widgetareas', ofiz_customizer_custom_widgets() ),
			'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
		)
	);

/**
 * Option : Products Per Page
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-product-per-page]', array(
			'default'           => ofiz_get_option( 'dt-woo-tag-archive-product-per-page' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_number_n_blank' ),
		)
	);

	$wp_customize->add_control(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-product-per-page]', array(
			'type'       => 'number',
			'section'    => 'woocommerce-tag-archive-section',
			'label'      => esc_html__( 'Products Per Page', 'ofiz' )
		)
	);


/**
 * Option : Product Layout
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-product-layout]', array(
			'default'           => ofiz_get_option( 'dt-woo-tag-archive-product-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Radio_Image(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-product-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Product Layout', 'ofiz'),
				'section'  => 'woocommerce-tag-archive-section',
				'choices'  => apply_filters( 'ofiz_tag_archive_product_layout_options', array(
					1  => array( 'label' => esc_html__( 'One Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-column.png' ),
					2 => array( 'label' => esc_html__( 'One Half Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-half-column.png' ),
					3 => array( 'label' => esc_html__( 'One Third Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-third-column.png' ),
					4 => array( 'label' => esc_html__( 'One Fourth Column', 'ofiz' ), 'path' => OFIZ_THEME_URI . '/inc/customizer/assets/images/woocommerce/one-fourth-column.png' ),
				) )
			)
		)
	);

/**
 * Option : Product Style Template
 */
$wp_customize->add_setting(
	OFIZ_THEME_SETTINGS . '[dt-woo-tag-product-style-template]', array(
		'default'           => ofiz_get_option( 'dt-woo-tag-product-style-template' ),
		'type'              => 'option',
		'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_choices' ),
	)
);

$wp_customize->add_control(
	new OFIZ_Customize_Control(
		$wp_customize, OFIZ_THEME_SETTINGS . '[dt-woo-tag-product-style-template]', array(
			'type'     => 'select',
			'label'    => esc_html__( 'Product Style Template', 'ofiz'),
			'section'  => 'woocommerce-tag-archive-section',
			'choices'  => apply_filters( 'ofiz_shop_product_templates', ofiz_customizer_shop_product_templates() )
		)
	)
);

/**
 * Option : Enable Breadcrumb
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-enable-breadcrumb]', array(
			'default'           => ofiz_get_option( 'dt-woo-tag-archive-enable-breadcrumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Switch(
			$wp_customize, OFIZ_THEME_SETTINGS . '[dt-woo-tag-archive-enable-breadcrumb]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Breadcrumb', 'ofiz'),
				'section' => 'woocommerce-tag-archive-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'ofiz' ),
					'off' => esc_attr__( 'No', 'ofiz' )
				)
			)
		)
	);