<?php
// -----------------------------------------
// Header And Footer Options Metabox
// -----------------------------------------

function ofiz_shop_product_template() {

  $options[] = array (
    'id'	                     => '_dt_shop_product_template_settings',
    'title'	                   => esc_html__('Product Template Settings','ofiz'),
    'post_type'                => 'dt_product_template',
    'priority'                 => 'high',
    'context'                  => 'normal', 
    'sections'                 => array (
    
      # Default Options
      array (
        'name'                 => 'default_options_section',
        'title'                => esc_html__('Default', 'ofiz'),
        'icon'                 => 'fa fa-angle-double-right',
        'fields'               => array (
        
          array (
            'id'         => 'product-style',
            'type'       => 'select',
            'title'      => esc_html__('Product Style', 'ofiz'),
            'options'    => array (
                      'product-style-default'              => esc_html__('Default', 'ofiz'),
                      'product-style-cornered'             => esc_html__('Cornered', 'ofiz'),
                      'product-style-title-eg-highlighter' => esc_html__('Title & Element Group Highlighter', 'ofiz'),
                      'product-style-content-highlighter'  => esc_html__('Content Highlighter', 'ofiz'),
                      'product-style-egrp-overlap-pc'      => esc_html__('Element Group Overlap Product Content', 'ofiz'),
                      'product-style-egrp-reveal-pc'       => esc_html__('Element Group Reveal Product Content', 'ofiz'),
                      'product-style-igrp-over-pc'         => esc_html__('Icon Group over Product Content', 'ofiz'),
                      'product-style-egrp-over-pc'         => esc_html__('Element Group over Product Content', 'ofiz')
                    ),
            'default'    => 'product-style-default'
          )	

        )
      ),
      # Default Settings


      # Hover Options
      array (
        'name'                 => 'hover_options_section',
        'title'                => esc_html__('Hover Options', 'ofiz'),
        'icon'                 => 'fa fa-angle-double-right',
        'fields'               => array (
        
          array(
            'id'         => 'product-hover-styles',
            'type'       => 'select',
            'title'      => esc_html__('Hover Styles', 'ofiz'),
            'options'    => array(
                      ''                                        => esc_html__('None', 'ofiz'),
                      'product-hover-fade-border'               => esc_html__('Fade - Border', 'ofiz'),
                      'product-hover-fade-skinborder'           => esc_html__('Fade - Skin Border', 'ofiz'),
                      'product-hover-fade-gradientborder'       => esc_html__('Fade - Gradient Border', 'ofiz'),
                      'product-hover-fade-shadow'               => esc_html__('Fade - Shadow', 'ofiz'),
                      'product-hover-fade-inshadow'             => esc_html__('Fade - InShadow', 'ofiz'),
                      'product-hover-thumb-fade-border'         => esc_html__('Fade Thumb Border', 'ofiz'),
                      'product-hover-thumb-fade-skinborder'     => esc_html__('Fade Thumb SkinBorder', 'ofiz'),
                      'product-hover-thumb-fade-gradientborder' => esc_html__('Fade Thumb Gradient Border', 'ofiz'),
                      'product-hover-thumb-fade-shadow'         => esc_html__('Fade Thumb Shadow', 'ofiz'),
                      'product-hover-thumb-fade-inshadow'       => esc_html__('Fade Thumb InShadow', 'ofiz')
                    ),
            'default'    => 'product-hover-fade-border'
          ),

          array(
            'id'         => 'product-overlay-bgcolor',
            'type'       => 'color_picker',
            'title'      => esc_html__('Overlay Background Color', 'ofiz')
          ),

          array(
            'id'         => 'product-overlay-dark-bgcolor',
            'type'       => 'switcher',
            'title'      => esc_html__('Overlay Dark Background', 'ofiz'),
          ),

          array(
            'id'         => 'product-overlay-effects',
            'type'       => 'select',
            'title'      => esc_html__('Overlay Effects', 'ofiz'),
            'options'    => array(
                      ''                                    => esc_html__('None', 'ofiz'),
                      'product-overlay-fixed'               => esc_html__('Fixed', 'ofiz'),
                      'product-overlay-toptobottom'         => esc_html__('Top to Bottom', 'ofiz'),
                      'product-overlay-bottomtotop'         => esc_html__('Bottom to Top', 'ofiz'),
                      'product-overlay-righttoleft'         => esc_html__('Right to Left', 'ofiz'),
                      'product-overlay-lefttoright'         => esc_html__('Left to Right', 'ofiz'),
                      'product-overlay-middle'              => esc_html__('Middle', 'ofiz'),
                      'product-overlay-middleradial'        => esc_html__('Middle Radial', 'ofiz'),
                      'product-overlay-gradienttoptobottom' => esc_html__('Gradient - Top to Bottom', 'ofiz'),
                      'product-overlay-gradientbottomtotop' => esc_html__('Gradient - Bottom to Top', 'ofiz'),
                      'product-overlay-gradientrighttoleft' => esc_html__('Gradient - Right to Left', 'ofiz'),
                      'product-overlay-gradientlefttoright' => esc_html__('Gradient - Left to Right', 'ofiz'),
                      'product-overlay-gradientradial'      => esc_html__('Gradient - Radial', 'ofiz'),
                      'product-overlay-flash'               => esc_html__('Flash', 'ofiz'),
                      'product-overlay-scale'               => esc_html__('Scale', 'ofiz'),
                      'product-overlay-horizontalelastic'   => esc_html__('Horizontal - Elastic', 'ofiz'),
                      'product-overlay-verticalelastic'     => esc_html__('Vertical - Elastic', 'ofiz')
                    ),
            'default'    => ''
          ),

          array(
            'id'         => 'product-hover-image-effects',
            'type'       => 'select',
            'title'      => esc_html__('Hover Image Effects', 'ofiz'),
            'options'    => array(
                      ''                                => esc_html__('None', 'ofiz'),
                      'product-hover-image-blur'        => esc_html__('Blur', 'ofiz'),
                      'product-hover-image-blackwhite'  => esc_html__('Black & White', 'ofiz'),
                      'product-hover-image-fadeinleft'  => esc_html__('Fade In Left', 'ofiz'),
                      'product-hover-image-fadeinright' => esc_html__('Fade In Right', 'ofiz'),
                      'product-hover-image-rotate'      => esc_html__('Rotate', 'ofiz'),
                      'product-hover-image-rotatealt'   => esc_html__('Rotate - Alt', 'ofiz'),
                      'product-hover-image-scalein'     => esc_html__('Scale In', 'ofiz'),
                      'product-hover-image-scaleout'    => esc_html__('Scale Out', 'ofiz'),
                      'product-hover-image-floatout'    => esc_html__('Float Up', 'ofiz')
                    ),
            'default'    => ''
          ),

          array(
            'id'         => 'product-hover-secondary-image-effects',
            'type'       => 'select',
            'title'      => esc_html__('Hover Secondary Image Effects', 'ofiz'),
            'options'    => array(
                      'product-hover-secimage-fade'              => esc_html__('Fade', 'ofiz'),
                      'product-hover-secimage-zoomin'            => esc_html__('Zoom In', 'ofiz'),
                      'product-hover-secimage-zoomout'           => esc_html__('Zoom Out', 'ofiz'),
                      'product-hover-secimage-zoomoutup'         => esc_html__('Zoom Out Up', 'ofiz'),
                      'product-hover-secimage-zoomoutdown'       => esc_html__('Zoom Out Down', 'ofiz'),
                      'product-hover-secimage-zoomoutleft'       => esc_html__('Zoom Out Left', 'ofiz'),
                      'product-hover-secimage-zoomoutright'      => esc_html__('Zoom Out Right', 'ofiz'),
                      'product-hover-secimage-pushup'            => esc_html__('Push Up', 'ofiz'),
                      'product-hover-secimage-pushdown'          => esc_html__('Push Down', 'ofiz'),
                      'product-hover-secimage-pushleft'          => esc_html__('Push Left', 'ofiz'),
                      'product-hover-secimage-pushright'         => esc_html__('Push Right', 'ofiz'),
                      'product-hover-secimage-slideup'           => esc_html__('Slide Up', 'ofiz'),
                      'product-hover-secimage-slidedown'         => esc_html__('Slide Down', 'ofiz'),
                      'product-hover-secimage-slideleft'         => esc_html__('Slide Left', 'ofiz'),
                      'product-hover-secimage-slideright'        => esc_html__('Slide Right', 'ofiz'),		
                      'product-hover-secimage-hingeup'           => esc_html__('Hinge Up', 'ofiz'),
                      'product-hover-secimage-hingedown'         => esc_html__('Hinge Down', 'ofiz'),
                      'product-hover-secimage-hingeleft'         => esc_html__('Hinge Left', 'ofiz'),
                      'product-hover-secimage-hingeright'        => esc_html__('Hinge Right', 'ofiz'),		
                      'product-hover-secimage-foldup'            => esc_html__('Fold Up', 'ofiz'),
                      'product-hover-secimage-folddown'          => esc_html__('Fold Down', 'ofiz'),
                      'product-hover-secimage-foldleft'          => esc_html__('Fold Left', 'ofiz'),
                      'product-hover-secimage-foldright'         => esc_html__('Fold Right', 'ofiz'),
                      'product-hover-secimage-fliphoriz'         => esc_html__('Flip Horizontal', 'ofiz'),
                      'product-hover-secimage-flipvert'          => esc_html__('Flip Vertical', 'ofiz')
                    ),
            'default'    => 'product-hover-secimage-fade'
          ),

          array(
            'id'         => 'product-content-hover-effects',
            'type'       => 'select',
            'title'      => esc_html__('Content Hover Effects', 'ofiz'),
            'options'    => array(
                      ''                                   => esc_html__('None', 'ofiz'),
                      'product-content-hover-fade'         => esc_html__('Fade', 'ofiz'),
                      'product-content-hover-zoom'         => esc_html__('Zoom', 'ofiz'),
                      'product-content-hover-slidedefault' => esc_html__('Slide Default', 'ofiz'),
                      'product-content-hover-slideleft'    => esc_html__('Slide From Left', 'ofiz'),
                      'product-content-hover-slideright'   => esc_html__('Slide From Right', 'ofiz'),
                      'product-content-hover-slidetop'     => esc_html__('Slide From Top', 'ofiz'),
                      'product-content-hover-slidebottom'  => esc_html__('Slide From Bottom', 'ofiz')
                    ),
            'default'    => ''
          ),

          array(
            'id'         => 'product-icongroup-hover-effects',
            'type'       => 'select',
            'title'      => esc_html__('Icon Group Hover Effects', 'ofiz'),
            'options'    => array(
                      ''                               => esc_html__('None', 'ofiz'),
                      'product-icongroup-hover-flipx'  => esc_html__('Flip X', 'ofiz'),
                      'product-icongroup-hover-flipy'  => esc_html__('Flip Y', 'ofiz'),
                      'product-icongroup-hover-bounce' => esc_html__('Bounce', 'ofiz')
                    ),
            'default'    => ''
          ),

        )
      ),
      # Hover Options


      # Common Options
      array (
        'name'                 => 'common_options_section',
        'title'                => esc_html__('Common Options', 'ofiz'),
        'icon'                 => 'fa fa-angle-double-right',
        'fields'               => array (
        
          array(
            'id'         => 'product-borderorshadow',
            'type'       => 'select',
            'title'      => esc_html__('Border or Shadow', 'ofiz'),
            'options'    => array(
                      ''                              => esc_html__('None', 'ofiz'),
                      'product-borderorshadow-border' => esc_html__('Border', 'ofiz'),
                      'product-borderorshadow-shadow' => esc_html__('Shadow', 'ofiz')
                    ),
            'default'    => '',
            'desc'      => esc_html__('Choose either Border or Shadow for your product listing.', 'ofiz')
          ),										
          array(
            'id'         => 'product-border-type',
            'type'       => 'select',
            'title'      => esc_html__('Border - Type', 'ofiz'),
            'options'    => array(
                      'product-border-type-default' => esc_html__('Default', 'ofiz'),
                      'product-border-type-thumb'   => esc_html__('Thumb', 'ofiz')
                    ),
            'default'    => 'product-border-type-default',
          ),													
          array(
            'id'         => 'product-border-position',
            'type'       => 'select',
            'title'      => esc_html__('Border - Position', 'ofiz'),
            'options'    => array(
                      'product-border-position-default'      => esc_html__('Default', 'ofiz'),
                      'product-border-position-left'         => esc_html__('Left', 'ofiz'),
                      'product-border-position-right'        => esc_html__('Right', 'ofiz'),
                      'product-border-position-top'          => esc_html__('Top', 'ofiz'),
                      'product-border-position-bottom'       => esc_html__('Bottom', 'ofiz'),
                      'product-border-position-top-left'     => esc_html__('Top Left', 'ofiz'),
                      'product-border-position-top-right'    => esc_html__('Top Right', 'ofiz'),
                      'product-border-position-bottom-left'  => esc_html__('Bottom Left', 'ofiz'),
                      'product-border-position-bottom-right' => esc_html__('Bottom Right', 'ofiz')														
                    ),
            'default'    => 'product-border-position-default',
          ),	
          array(
            'id'         => 'product-shadow-type',
            'type'       => 'select',
            'title'      => esc_html__('Shadow - Type', 'ofiz'),
            'options'    => array(
                      'product-shadow-type-default' => esc_html__('Default', 'ofiz'),
                      'product-shadow-type-thumb'   => esc_html__('Thumb', 'ofiz')
                    ),
            'default'    => 'product-shadow-type-default',
          ),
          array(
            'id'         => 'product-shadow-position',
            'type'       => 'select',
            'title'      => esc_html__('Shadow - Position', 'ofiz'),
            'options'    => array(
                      'product-shadow-position-default'      => esc_html__('Default', 'ofiz'),
                      'product-shadow-position-top-left'     => esc_html__('Top Left', 'ofiz'),
                      'product-shadow-position-top-right'    => esc_html__('Top Right', 'ofiz'),
                      'product-shadow-position-bottom-left'  => esc_html__('Bottom Left', 'ofiz'),
                      'product-shadow-position-bottom-right' => esc_html__('Bottom Right', 'ofiz')
                    ),
            'default'    => 'product-shadow-position-default',
          ),

          array(
            'id'         => 'product-bordershadow-highlight',
            'type'       => 'select',
            'title'      => esc_html__('Border / Shadow - Highlight', 'ofiz'),
            'options'    => array(
                      ''                                       => esc_html__('None', 'ofiz'),
                      'product-bordershadow-highlight-default' => esc_html__('Default', 'ofiz'),
                      'product-bordershadow-highlight-onhover' => esc_html__('On Hover', 'ofiz')
                    ),
            'default'    => '',
          ),

          array(
            'id'         => 'product-background-bgcolor',
            'type'       => 'color_picker',
            'title'      => esc_html__('Background - Background Color', 'ofiz')
          ),

          array(
            'id'         => 'product-background-dark-bgcolor',
            'type'       => 'switcher',
            'title'      => esc_html__('Background - Dark Background', 'ofiz')
          ),
        
          array(
            'id'         => 'product-padding',
            'type'       => 'select',
            'title'      => esc_html__('Padding', 'ofiz'),
            'options'    => array(
                      'product-padding-default' => esc_html__('Default', 'ofiz'),
                      'product-padding-overall' => esc_html__('Product', 'ofiz'),
                      'product-padding-thumb'   => esc_html__('Thumb', 'ofiz'),
                      'product-padding-content' => esc_html__('Content', 'ofiz'),
                    ),
            'default'    => 'product-padding-default'
          ),
          array(
            'id'         => 'product-space',
            'type'       => 'select',
            'title'      => esc_html__('Space', 'ofiz'),
            'options'    => array(
                      'product-without-space' => esc_html__('False', 'ofiz'),
                      'product-with-space'  => esc_html__('True', 'ofiz')
                    ),
            'default'    => 'product-with-space'
          ),
          array(
            'id'         => 'product-display-type',
            'type'       => 'select',
            'title'      => esc_html__('Display Type', 'ofiz'),
            'options'    => array(
                      'grid' => esc_html__('Grid', 'ofiz'),
                      'list'  => esc_html__('List', 'ofiz')
                    ),
            'default'    => 'grid'
          ),
          array(
            'id'         => 'product-display-type-list-options',
            'type'       => 'select',
            'title'      => esc_html__('List Options', 'ofiz'),
            'options'    => array(
                      'left-thumb'  => esc_html__('Left Thumb', 'ofiz'),
                      'right-thumb' => esc_html__('Right Thumb', 'ofiz')
                    ),
            'default'    => 'left-thumb'
          ),	
          array(
            'id'         => 'product-show-labels',
            'type'       => 'select',
            'title'      => esc_html__('Show Product Labels', 'ofiz'),
            'options'    => array(
                      'true'  => esc_html__('True', 'ofiz'),
                      'false' => esc_html__('False', 'ofiz')
                    ),
            'default'    => 'true'
          ),															
          array(
            'id'         => 'product-label-design',
            'type'       => 'select',
            'title'      => esc_html__('Product Label Design', 'ofiz'),
            'options'    => array(
                      'product-label-boxed'      => esc_html__('Boxed', 'ofiz'),
                      'product-label-circle'  => esc_html__('Circle', 'ofiz'),
                      'product-label-rounded'   => esc_html__('Rounded', 'ofiz'),
                      'product-label-angular'   => esc_html__('Angular', 'ofiz'),
                      'product-label-ribbon'   => esc_html__('Ribbon', 'ofiz'),
                    ),
            'default'    => 'product-label-boxed',
          ),

          array(
            'id'         => 'product-custom-class',
            'type'       => 'text',
            'title'      => esc_html__('Custom Class', 'ofiz')
          ),	

        )
      ),
      # Common Options


      # Thumb Options
      array (
        'name'                 => 'thumb_options_section',
        'title'                => esc_html__('Thumb Options', 'ofiz'),
        'icon'                 => 'fa fa-angle-double-right',
        'fields'               => array (

          array(
            'id'         => 'product-thumb-secondary-image-onhover',
            'type'       => 'switcher',
            'title'      => esc_html__('Show Secondary Image On Hover', 'ofiz'),
            'desc'	 => esc_html__('YES! to show secondary image on product hover. First image in the gallery will be used as secondary image.', 'ofiz')
          ),

          array(
            'id'             => 'product-thumb-content',
            'type'           => 'sorter',
            'title'          => esc_html__('Content', 'ofiz'),
            'default'        => array(
              'enabled'      => array(
                'title'          => esc_html__('Title', 'ofiz'),
                'category'       => esc_html__('Category', 'ofiz'),
                'price'          => esc_html__('Price', 'ofiz'),
                'button_element' => esc_html__('Button Element', 'ofiz'),
                'icons_group'    => esc_html__('Icons Group', 'ofiz'),
              ),
              'disabled'     => array(
                'excerpt'       => esc_html__('Excerpt', 'ofiz'),
                'rating'        => esc_html__('Rating', 'ofiz'),
                'countdown'     => esc_html__('Count Down', 'ofiz'),
                'separator'     => esc_html__('Separator', 'ofiz'),
                'element_group' => esc_html__('Element Group', 'ofiz'),
                'swatches'      => esc_html__('Swatches', 'ofiz'),
              ),
            ),
            'enabled_title'  => esc_html__('Active Elements', 'ofiz'),
            'disabled_title' => esc_html__('Deatcive Elements', 'ofiz'),
          ),

          array(
            'id'         => 'product-thumb-alignment',
            'type'       => 'select',
            'title'      => esc_html__('Alignment', 'ofiz'),
            'options'    => array(
                      'product-thumb-alignment-top'          => esc_html__('Top', 'ofiz'),
                      'product-thumb-alignment-top-left'     => esc_html__('Top Left', 'ofiz'),
                      'product-thumb-alignment-top-right'    => esc_html__('Top Right', 'ofiz'),
                      'product-thumb-alignment-middle'       => esc_html__('Middle', 'ofiz'),
                      'product-thumb-alignment-bottom'       => esc_html__('Bottom', 'ofiz'),
                      'product-thumb-alignment-bottom-left'  => esc_html__('Bottom Left', 'ofiz'),
                      'product-thumb-alignment-bottom-right' => esc_html__('Bottom Right', 'ofiz')
                    ),
            'default'    => 'product-thumb-alignment-top'
          ),

          array(
            'id'         => 'product-thumb-iconsgroup-icons',
            'type'       => 'select',
            'title'      => esc_html__('Icons Group - Icons', 'ofiz'),
            'options'    => array(
                      'cart'      => esc_html__('Cart', 'ofiz'),
                      'wishlist'  => esc_html__('Wishlist', 'ofiz'),
                      'compare'   => esc_html__('Compare', 'ofiz'),
                      'quickview' => esc_html__('Quick View', 'ofiz')
                    ),
            'class'         => 'chosen',
            'attributes'    => array(
              'multiple'    => 'multiple',
            ),							
          ),

          array(
            'id'         => 'product-thumb-iconsgroup-style',
            'type'       => 'select',
            'title'      => esc_html__('Icons Group - Style', 'ofiz'),
            'options'    => array(
                      'product-thumb-iconsgroup-style-simple'  => esc_html__('Simple', 'ofiz'),
                      'product-thumb-iconsgroup-style-bgfill-square'  => esc_html__('Background Fill Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ofiz'),
                      'product-thumb-iconsgroup-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ofiz'),
                      'product-thumb-iconsgroup-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ofiz'),
                      'product-thumb-iconsgroup-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ofiz'),
                      'product-thumb-iconsgroup-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ofiz')																											
                    ),
            'default'    => 'product-thumb-iconsgroup-style-simple'
          ),

          array(
            'id'         => 'product-thumb-iconsgroup-position',
            'type'       => 'select',
            'title'      => esc_html__('Icons Group - Position', 'ofiz'),
            'options'    => array(

                    ''                                                                              => esc_html__('Default', 'ofiz'),

                    'product-thumb-iconsgroup-position-horizontal horizontal-position-top'          => esc_html__('Horizontal Top', 'ofiz'),
                    'product-thumb-iconsgroup-position-horizontal horizontal-position-top-left'     => esc_html__('Horizontal Top Left', 'ofiz'),
                    'product-thumb-iconsgroup-position-horizontal horizontal-position-top-right'    => esc_html__('Horizontal Top Right', 'ofiz'),
                    'product-thumb-iconsgroup-position-horizontal horizontal-position-middle'       => esc_html__('Horizontal Middle', 'ofiz'),
                    'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom'       => esc_html__('Horizontal Bottom', 'ofiz'),
                    'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom-left'  => esc_html__('Horizontal Bottom Left', 'ofiz'),
                    'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom-right' => esc_html__('Horizontal Bottom Right', 'ofiz'),

                    'product-thumb-iconsgroup-position-vertical vertical-position-top-left'         => esc_html__('Vertical Top Left', 'ofiz'),
                    'product-thumb-iconsgroup-position-vertical vertical-position-top-right'        => esc_html__('Vertical Top Right', 'ofiz'),
                    'product-thumb-iconsgroup-position-vertical vertical-position-middle-left'      => esc_html__('Vertical Middle Left', 'ofiz'),
                    'product-thumb-iconsgroup-position-vertical vertical-position-middle-right'     => esc_html__('Vertical Middle Right', 'ofiz'),
                    'product-thumb-iconsgroup-position-vertical vertical-position-bottom-left'      => esc_html__('Vertical Bottom Left', 'ofiz'),
                    'product-thumb-iconsgroup-position-vertical vertical-position-bottom-right'     => esc_html__('Vertical Bottom Right', 'ofiz')

                  ),
            'default'    => ''
          ),

          array(
            'id'         => 'product-thumb-buttonelement-button',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Button', 'ofiz'),
            'options'    => array(
                      ''          => esc_html__('None', 'ofiz'),
                      'cart'      => esc_html__('Cart', 'ofiz'),
                      'wishlist'  => esc_html__('Wishlist', 'ofiz'),
                      'compare'   => esc_html__('Compare', 'ofiz'),
                      'quickview' => esc_html__('Quick View', 'ofiz')
                    )
          ),	

          array(
            'id'         => 'product-thumb-buttonelement-secondary-button',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Secondary Button', 'ofiz'),
            'options'    => array(
                      ''          => esc_html__('None', 'ofiz'),
                      'cart'      => esc_html__('Cart', 'ofiz'),
                      'wishlist'  => esc_html__('Wishlist', 'ofiz'),
                      'compare'   => esc_html__('Compare', 'ofiz'),
                      'quickview' => esc_html__('Quick View', 'ofiz')
                    )
          ),

          array(
            'id'         => 'product-thumb-buttonelement-style',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Style', 'ofiz'),
            'options'    => array(
                      'product-thumb-buttonelement-style-simple'  => esc_html__('Simple', 'ofiz'),
                      'product-thumb-buttonelement-style-bgfill-square'  => esc_html__('Background Fill Square', 'ofiz'),
                      'product-thumb-buttonelement-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ofiz'),
                      'product-thumb-buttonelement-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ofiz'),
                      'product-thumb-buttonelement-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ofiz'),
                      'product-thumb-buttonelement-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ofiz'),
                      'product-thumb-buttonelement-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ofiz'),
                      'product-thumb-buttonelement-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ofiz'),
                      'product-thumb-buttonelement-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ofiz'),
                      'product-thumb-buttonelement-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ofiz'),
                      'product-thumb-buttonelement-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ofiz'),
                      'product-thumb-buttonelement-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ofiz'),
                      'product-thumb-buttonelement-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ofiz')																
                    ),
            'default'    => 'product-thumb-buttonelement-style-simple'
          ),

          array(
            'id'         => 'product-thumb-buttonelement-stretch',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Stretch', 'ofiz'),
            'options'    => array(
                      ''                                    => esc_html__('False', 'ofiz'),
                      'product-thumb-buttonelement-stretch' => esc_html__('True', 'ofiz')
                    )
          ),

          array(
            'id'             => 'product-thumb-element-group',
            'type'           => 'sorter',
            'title'          => esc_html__('Element Group Content', 'ofiz'),
            'default'        => array(
              'enabled'      => array(
                'title' => esc_html__('Title', 'ofiz'),
                'price' => esc_html__('Price', 'ofiz')
              ),
              'disabled'     => array(
                'cart'           => esc_html__('Cart', 'ofiz'),
                'wishlist'       => esc_html__('Wishlist', 'ofiz'),
                'compare'        => esc_html__('Compare', 'ofiz'),
                'quickview'      => esc_html__('Quick View', 'ofiz'),
                'category'       => esc_html__('Category', 'ofiz'),
                'button_element' => esc_html__('Button Element', 'ofiz'),
                'icons_group'    => esc_html__('Icons Group', 'ofiz'),
                'excerpt'        => esc_html__('Excerpt', 'ofiz'),
                'rating'         => esc_html__('Rating', 'ofiz'),
                'separator'      => esc_html__('Separator', 'ofiz'),
                'swatches'       => esc_html__('Swatches', 'ofiz')
              ),
            ),
            'enabled_title'  => esc_html__('Active Elements', 'ofiz'),
            'disabled_title' => esc_html__('Deatcive Elements', 'ofiz'),
          ),


        )
      ),
      # Thumb Options

      # Content Options
      array (
        'name'                 => 'content_options_section',
        'title'                => esc_html__('Content Options', 'ofiz'),
        'icon'                 => 'fa fa-angle-double-right',
        'fields'               => array (

          array(
            'id'         => 'product-content-enable',
            'type'       => 'switcher',
            'title'      => esc_html__('Enable Content Section', 'ofiz'),
            'desc'	 => esc_html__('YES! to enable content section.', 'ofiz')
          ),

          array(
            'id'             => 'product-content-content',
            'type'           => 'sorter',
            'title'          => esc_html__('Content', 'ofiz'),
            'default'        => array(
              'enabled'      => array(
                'title'          => esc_html__('Title', 'ofiz'),
                'category'       => esc_html__('Category', 'ofiz'),
                'price'          => esc_html__('Price', 'ofiz'),
                'button_element' => esc_html__('Button Element', 'ofiz'),
                'icons_group'    => esc_html__('Icons Group', 'ofiz'),
              ),
              'disabled'     => array(
                'excerpt'       => esc_html__('Excerpt', 'ofiz'),
                'rating'        => esc_html__('Rating', 'ofiz'),
                'countdown'     => esc_html__('Count Down', 'ofiz'),
                'separator'     => esc_html__('Separator', 'ofiz'),
                'element_group' => esc_html__('Element Group', 'ofiz'),
                'swatches'      => esc_html__('Swatches', 'ofiz'),
              ),
            ),
            'enabled_title'  => esc_html__('Active Elements', 'ofiz'),
            'disabled_title' => esc_html__('Deatcive Elements', 'ofiz'),
          ),

          array(
            'id'         => 'product-content-alignment',
            'type'       => 'select',
            'title'      => esc_html__('Alignment', 'ofiz'),
            'options'    => array(
                      'product-content-alignment-left'   => esc_html__('Left', 'ofiz'),
                      'product-content-alignment-right'  => esc_html__('Right', 'ofiz'),
                      'product-content-alignment-center' => esc_html__('Center', 'ofiz')
                    ),
            'default'    => 'product-content-alignment-left'
          ),

          array(
            'id'         => 'product-content-iconsgroup-icons',
            'type'       => 'select',
            'title'      => esc_html__('Icons Group - Icons', 'ofiz'),
            'options'    => array(
                      'cart'      => esc_html__('Cart', 'ofiz'),
                      'wishlist'  => esc_html__('Wishlist', 'ofiz'),
                      'compare'   => esc_html__('Compare', 'ofiz'),
                      'quickview' => esc_html__('Quick View', 'ofiz')
                    ),
            'class'         => 'chosen',
            'attributes'    => array(
              'multiple'    => 'multiple',
            ),							
          ),

          array(
            'id'         => 'product-content-iconsgroup-style',
            'type'       => 'select',
            'title'      => esc_html__('Icons Group - Style', 'ofiz'),
            'options'    => array(
                      'product-content-iconsgroup-style-simple'  => esc_html__('Simple', 'ofiz'),
                      'product-content-iconsgroup-style-bgfill-square'  => esc_html__('Background Fill Square', 'ofiz'),
                      'product-content-iconsgroup-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ofiz'),
                      'product-content-iconsgroup-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ofiz'),
                      'product-content-iconsgroup-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ofiz'),
                      'product-content-iconsgroup-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ofiz'),
                      'product-content-iconsgroup-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ofiz'),
                      'product-content-iconsgroup-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ofiz'),
                      'product-content-iconsgroup-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ofiz'),
                      'product-content-iconsgroup-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ofiz'),
                      'product-content-iconsgroup-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ofiz'),
                      'product-content-iconsgroup-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ofiz'),
                      'product-content-iconsgroup-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ofiz')																													
                    ),
            'default'    => 'product-content-iconsgroup-style-simple'
          ),

          array(
            'id'         => 'product-content-buttonelement-button',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Button', 'ofiz'),
            'options'    => array(
                      ''          => esc_html__('None', 'ofiz'),
                      'cart'      => esc_html__('Cart', 'ofiz'),
                      'wishlist'  => esc_html__('Wishlist', 'ofiz'),
                      'compare'   => esc_html__('Compare', 'ofiz'),
                      'quickview' => esc_html__('Quick View', 'ofiz')
                    )
          ),	

          array(
            'id'         => 'product-content-buttonelement-secondary-button',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Secondary Button', 'ofiz'),
            'options'    => array(
                      ''          => esc_html__('None', 'ofiz'),
                      'cart'      => esc_html__('Cart', 'ofiz'),
                      'wishlist'  => esc_html__('Wishlist', 'ofiz'),
                      'compare'   => esc_html__('Compare', 'ofiz'),
                      'quickview' => esc_html__('Quick View', 'ofiz')
                    )
          ),

          array(
            'id'         => 'product-content-buttonelement-style',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Style', 'ofiz'),
            'options'    => array(
                      'product-content-buttonelement-style-simple'  => esc_html__('Simple', 'ofiz'),
                      'product-content-buttonelement-style-bgfill-square'  => esc_html__('Background Fill Square', 'ofiz'),
                      'product-content-buttonelement-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ofiz'),
                      'product-content-buttonelement-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ofiz'),
                      'product-content-buttonelement-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ofiz'),
                      'product-content-buttonelement-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ofiz'),
                      'product-content-buttonelement-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ofiz'),
                      'product-content-buttonelement-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ofiz'),
                      'product-content-buttonelement-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ofiz'),
                      'product-content-buttonelement-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ofiz'),
                      'product-content-buttonelement-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ofiz'),
                      'product-content-buttonelement-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ofiz'),
                      'product-content-buttonelement-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ofiz')																													
                    ),
            'default'    => 'product-content-buttonelement-style-simple'
          ),

          array(
            'id'         => 'product-content-buttonelement-stretch',
            'type'       => 'select',
            'title'      => esc_html__('Button Element - Stretch', 'ofiz'),
            'options'    => array(
                      ''                                    => esc_html__('False', 'ofiz'),
                      'product-content-buttonelement-stretch' => esc_html__('True', 'ofiz')
                    )
          ),

          array(
            'id'             => 'product-content-element-group',
            'type'           => 'sorter',
            'title'          => esc_html__('Element Group Content', 'ofiz'),
            'default'        => array(
              'enabled'      => array(
                'title'          => esc_html__('Title', 'ofiz'),
                'price'          => esc_html__('Price', 'ofiz')
              ),
              'disabled'     => array(
                'cart'           => esc_html__('Cart', 'ofiz'),
                'wishlist'       => esc_html__('Wishlist', 'ofiz'),
                'compare'        => esc_html__('Compare', 'ofiz'),
                'quickview'      => esc_html__('Quick View', 'ofiz'),
                'category'       => esc_html__('Category', 'ofiz'),
                'button_element' => esc_html__('Button Element', 'ofiz'),
                'icons_group'    => esc_html__('Icons Group', 'ofiz'),
                'excerpt'        => esc_html__('Excerpt', 'ofiz'),
                'rating'         => esc_html__('Rating', 'ofiz'),
                'separator'      => esc_html__('Separator', 'ofiz'),
                'swatches'       => esc_html__('Swatches', 'ofiz')
              ),
            ),
            'enabled_title'  => esc_html__('Active Elements', 'ofiz'),
            'disabled_title' => esc_html__('Deactive Elements', 'ofiz')
          ),


        )
      ),
      # Content Options

    )
  );

  return $options;

}