<?php
// -----------------------------------------
// Header And Footer Options Metabox
// -----------------------------------------

function ofiz_shop_single_product() {

  $size_guides = array (
                      ''             => esc_html__('None', 'ofiz'),
                      'size-guide-1' => esc_html__('Size Guide 1', 'ofiz'), 
                      'size-guide-2' => esc_html__('Size Guide 2', 'ofiz'), 
                      'size-guide-3' => esc_html__('Size Guide 3', 'ofiz'), 
                      'size-guide-4' => esc_html__('Size Guide 4', 'ofiz'), 
                      'size-guide-5' => esc_html__('Size Guide 5', 'ofiz')
                    );
  
  $product_meta_layout_section = array(
    'name'   => 'general_section',
    'title'  => esc_html__('General', 'ofiz'),
    'icon'   => 'fa fa-angle-double-right',
    'fields' =>  array(
        array(
            'id'         => 'page-layout',
            'type'       => 'image_select',
            'title'      => esc_html__('Page Layout', 'ofiz'),
            'options'    => array(
                'admin-option'         => DTM_URL . 'images/admin-option.png',
                'content-full-width'   => DTM_URL . 'images/without-sidebar.png',
                'with-left-sidebar'    => DTM_URL . 'images/left-sidebar.png',
                'with-right-sidebar'   => DTM_URL . 'images/right-sidebar.png',
            ),
            'default'    => 'admin-option',
            'attributes' => array( 'data-depend-id' => 'page-layout' )
        ),
        array(
            'id'         => 'show-standard-sidebar',
            'type'       => 'switcher',
            'title'      => esc_html__('Show Standard Sidebar', 'ofiz'),
            'dependency' => array( 'page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
        ),
        array(
            'id'         => 'product-widgetareas',
            'type'       => 'select',
            'title'      => esc_html__('Choose Custom Widget Area', 'ofiz'),
            'class'      => 'chosen',
            'options'    => ofiz_customizer_custom_widgets(),
            'dependency' => array( 'page-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
            'attributes' => array(
                'multiple'         => 'multiple',
                'data-placeholder' => esc_attr__('Select Widget Areas', 'ofiz'),
                'style'            => 'width: 400px;'
            ),
        ),

        # Product Template
        array(
            'id'      => 'product-template',
            'type'    => 'select',
            'title'   => esc_html__('Product Template', 'ofiz'),
            'class'   => 'chosen',
            'options' => array(
                'admin-option'    => esc_html__( 'Admin Option', 'ofiz' ),
                'woo-default'     => esc_html__( 'WooCommerce Default', 'ofiz' ),
                'custom-template' => esc_html__( 'Custom Template', 'ofiz' )
            ),
            'default'    => 'admin-option',
            'info'       => esc_html__('Don\'t use product shortcodes in content area when "WooCommerce Default" template is chosen.', 'ofiz')
        ),
               
        array(
            'id'         => 'show-upsell',
            'type'       => 'select',
            'title'      => esc_html__('Show Upsell Products', 'ofiz'),
            'class'      => 'chosen',
            'default'    => 'admin-option',
            'attributes' => array( 'data-depend-id' => 'show-upsell' ),
            'options'    => array(
                'admin-option' => esc_html__( 'Admin Option', 'ofiz' ),
                'true'         => esc_html__( 'Show', 'ofiz'),
                null           => esc_html__( 'Hide', 'ofiz'),
            ),
            'dependency' => array( 'product-template', '!=', 'custom-template')
        ),
        array(
            'id'         => 'upsell-column',
            'type'       => 'select',
            'title'      => esc_html__('Choose Upsell Column', 'ofiz'),
            'class'      => 'chosen',
            'default'    => 4,
            'options'    => array(
                'admin-option' => esc_html__( 'Admin Option', 'ofiz' ),
                1              => esc_html__( 'One Column', 'ofiz' ),
                2              => esc_html__( 'Two Columns', 'ofiz' ),
                3              => esc_html__( 'Three Columns', 'ofiz' ),
                4              => esc_html__( 'Four Columns', 'ofiz' ),
            ),
            'dependency' => array( 'product-template|show-upsell', '!=|==', 'custom-template|true')
        ),
        array(
            'id'         => 'upsell-limit',
            'type'       => 'select',
            'title'      => esc_html__('Choose Upsell Limit', 'ofiz'),
            'class'      => 'chosen',
            'default'    => 4,
            'options'    => array(
                'admin-option' => esc_html__( 'Admin Option', 'ofiz' ),
                1              => esc_html__( 'One', 'ofiz' ),
                2              => esc_html__( 'Two', 'ofiz' ),
                3              => esc_html__( 'Three', 'ofiz' ),
                4              => esc_html__( 'Four', 'ofiz' ),
                5              => esc_html__( 'Five', 'ofiz' ),
                6              => esc_html__( 'Six', 'ofiz' ),
                7              => esc_html__( 'Seven', 'ofiz' ),
                8              => esc_html__( 'Eight', 'ofiz' ),
                9              => esc_html__( 'Nine', 'ofiz' ),
                10              => esc_html__( 'Ten', 'ofiz' ),                                                
            ),
            'dependency' => array( 'product-template|show-upsell', '!=|==', 'custom-template|true')
        ),        
        array(
            'id'         => 'show-related',
            'type'       => 'select',
            'title'      => esc_html__('Show Related Products', 'ofiz'),
            'class'      => 'chosen',
            'default'    => 'admin-option',
            'attributes' => array( 'data-depend-id' => 'show-related' ),
            'options'    => array(
                'admin-option' => esc_html__( 'Admin Option', 'ofiz' ),
                'true'         => esc_html__( 'Show', 'ofiz'),
                null           => esc_html__( 'Hide', 'ofiz'),
            ),
            'dependency' => array( 'product-template', '!=', 'custom-template')
        ),
        array(
            'id'         => 'related-column',
            'type'       => 'select',
            'title'      => esc_html__('Choose Related Column', 'ofiz'),
            'class'      => 'chosen',
            'default'    => 4,
            'options'    => array(
                'admin-option' => esc_html__( 'Admin Option', 'ofiz' ),
                2              => esc_html__( 'Two Columns', 'ofiz' ),
                3              => esc_html__( 'Three Columns', 'ofiz' ),
                4              => esc_html__( 'Four Columns', 'ofiz' ),
            ),
            'dependency' => array( 'product-template|show-related', '!=|==', 'custom-template|true')
        ),
        array(
            'id'         => 'related-limit',
            'type'       => 'select',
            'title'      => esc_html__('Choose Related Limit', 'ofiz'),
            'class'      => 'chosen',
            'default'    => 4,
            'options'    => array(
                'admin-option' => esc_html__( 'Admin Option', 'ofiz' ),
                1              => esc_html__( 'One', 'ofiz' ),
                2              => esc_html__( 'Two', 'ofiz' ),
                3              => esc_html__( 'Three', 'ofiz' ),
                4              => esc_html__( 'Four', 'ofiz' ),
                5              => esc_html__( 'Five', 'ofiz' ),
                6              => esc_html__( 'Six', 'ofiz' ),
                7              => esc_html__( 'Seven', 'ofiz' ),
                8              => esc_html__( 'Eight', 'ofiz' ),
                9              => esc_html__( 'Nine', 'ofiz' ),
                10              => esc_html__( 'Ten', 'ofiz' ),                                                
            ),
            'dependency' => array( 'product-template|show-related', '!=|==', 'custom-template|true')
        ),

        # Product Additional Tabs
        array(
          'id'              => 'product-additional-tabs',
          'type'            => 'group',
          'title'           => esc_html__('Additional Tabs', 'ofiz'),
          'info'            => esc_html__('Click button to add title and description.', 'ofiz'),
          'button_title'    => esc_html__('Add New Tab', 'ofiz'),
          'accordion_title' => esc_html__('Adding New Tab Field', 'ofiz'),
          'fields'          => array(
            array(
            'id'          => 'tab_title',
            'type'        => 'text',
            'title'       => esc_html__('Title', 'ofiz'),
            ),

            array(
            'id'          => 'tab_description',
            'type'        => 'textarea',
            'title'       => esc_html__('Description', 'ofiz')
            ),
          )
        ),

        # Product New Label
         array(
            'id'         => 'product-new-label',
            'type'       => 'switcher',
            'title'      => esc_html__('Add "New" label', 'ofiz'),
        ), 

        array(
          'id'         => 'dt-single-product-size-guides',
          'type'       => 'select',
          'title'      => esc_html__('Product Size Guides', 'ofiz'),
          'options'    => $size_guides,
        ),              

        array(
          'id'          => 'description',
          'type'        => 'textarea',
          'title'       => esc_html__('Description', 'ofiz'),
          'info'       => esc_html__('This content will be used in description tab, when "Custom Template" is chosen.', 'ofiz')
          ),

    )
  );

  $options[] = array(
    'id'        => '_custom_settings',
    'title'     => esc_html__('Product Settings','ofiz'),
    'post_type' => 'product',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(
      $product_meta_layout_section
    )
  );

  $options[] = array(
    'id'        => '_360viewer_gallery',
    'title'     => esc_html__('Product 360 View Gallery','ofiz'),
    'post_type' => 'product',
    'context'   => 'side',
    'priority'  => 'low',
    'sections'  => array(
                    array(
                    'name'   => '360view_section',
                    'fields' =>  array(
                                    array (
                                      'id'          => 'product-360view-gallery',
                                      'type'        => 'gallery',
                                      'title'       => esc_html__('Gallery Images', 'ofiz'),
                                      'desc'        => esc_html__('Simply add images to gallery items.', 'ofiz'),
                                      'add_title'   => esc_html__('Add Images', 'ofiz'),
                                      'edit_title'  => esc_html__('Edit Images', 'ofiz'),
                                      'clear_title' => esc_html__('Remove Images', 'ofiz'),
                                    )
                                )
                    )
                  )
    );

  return $options;

}